function show_error(field, msg) {
    modal_window({
        message: '<div class="alert alert-danger">' + msg + '</div>',
        title: 'Error in ' + field,
        close: function () {
            $j('#' + field).focus();
            $j('#' + field).parents('.form-group').addClass('has-error');
        }
    });

    return false;
}


$j(function () {
    /* set montant ttc field to read only*/
    $j('#prix_total').prop('readonly', true);

    /* calcul du champs montant_ttc */
    $j('#qts, #prix_unitaire').change(function () {
        var quantity = parseFloat($j('#qts').val()) || 0;
        var unitPrice = parseFloat($j('#prix_unitaire').val()) || 0;

        var totalPrice = quantity * unitPrice;
        $j('#prix_total').val(totalPrice);
    });

    /* calculate total price on opening the detail view form*/
    $j('#prix_unitaire').change();

})
